{% extends 'm_productos/base.html' %}
{% load static %}
{% block contenido %}
<main style="align-items: center">
    {% if messages %}
    <ul class="messages">
        {% for message in messages %}
        <script>
            Swal.fire({
                position: 'center',
                icon: 'success',
                title: '{{message}}',
                showConfirmButton: false,
                timer: 1500
                })
        </script>
        {% endfor %}
    </ul>
    {% endif %}
    <!-- Texto cental -->
    <div class="container" >
        <div class="row miFont fa fa-align-center text-center text-content-central" >
            ¿Ganas de una verdadera experiencia culinaria?
        </div>
    </div>
    <!-- Carta de productos -->
    <div class="album py-5 bg-light">
        <div class="container">
            <h2>Platillos Disponibles</h2>
            <br>
            <!-- buscador de platillos  -->
            Filtra por Categorias
            <div class="container-fluid buscador">
                <div class="row">
                    <form action="" method="post">
                    {% csrf_token %}
                        <div class="col-xs" style="margin:1ex">
                            {% for c in categorias %}
                            <button type="button" id="{{c.descripcion}}" class="btn producto btn-outline-primary">{{c}}</button>
                            {% endfor %}
                            <button type="button" id="todos" class="btn btn-outline-success">Mostrar Todo</button>
                        </div>
                    </form>

                </div>
            </div>
            <br>
            <div class="row">

                {% for p in query %}
                {% if p.estado == 'habilitado' %}
                    <div class="col-md-4 tarjeta" id="{{p.id_categoria}}" style="display:block">
                        <div class="card mb-4 box-shadow">
                            <img src="{{p.imagen.url}}" class="img-fluid ${3|rounded-top,rounded-right,rounded-bottom,rounded-left,rounded-circle,|}" alt="">
                            <div class="card-body">
                                <h4 class="card-title titulo">{{p.nombre}}</h4>
                                <div class="row cuerpo">
                                    <div class="col">
                                        <p class="card-text">{{p.id_categoria}}</p>
                                    </div>
                                    <div class="col">
                                        <p class="card-text">${{p.precio}}</p>
                                    </div>
                                </div>
                                <div class="row boton-agregar">
                                    <div class="col">
                                        <br>
                                        <form action="" method="POST">
                                            {% csrf_token %}
                                            <a href="{% url 'agregarprod' p.id %}" type="submit"
                                                class="btn btn-success btn-lg btn-block">
                                                Agregar al Carrito
                                            </a>
                                        </form>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                {% endif %}
                

                {% endfor %}



            </div>
        </div>
    </div>
</main>

{% endblock contenido %}